Index: in-auction/units/helpers/ebay_helper.php
===================================================================
--- in-auction/units/helpers/ebay_helper.php	(revision 14544)
+++ in-auction/units/helpers/ebay_helper.php	(working copy)
@@ -378,10 +378,10 @@
 		function ClearConfigCache()
 		{
 			if ($this->Application->isCachingType(CACHING_TYPE_MEMORY)) {
-				$this->Application->deleteCache('master:configs_parsed');
+				$this->Application->rebuildCache('master:configs_parsed', kCache::REBUILD_LATER, CacheSettings::$unitCacheRebuildTime);
 			}
 			else {
-				$this->Application->deleteDBCache('configs_parsed');
+				$this->Application->rebuildDBCache('configs_parsed', kCache::REBUILD_LATER, CacheSettings::$unitCacheRebuildTime);
 			}
 		}
 
Index: in-auction/units/sections/ebay_eh.php
===================================================================
--- in-auction/units/sections/ebay_eh.php	(revision 14544)
+++ in-auction/units/sections/ebay_eh.php	(working copy)
@@ -3348,11 +3348,11 @@
 
 		function ClearConfigCache()
 		{
-			if ($this->Application->isCachingType(CACHING_TYPE_MEMORY)) {
-				$this->Application->deleteCache('master:configs_parsed');
+			if ( $this->Application->isCachingType(CACHING_TYPE_MEMORY) ) {
+				$this->Application->rebuildCache('master:configs_parsed', kCache::REBUILD_LATER, CacheSettings::$unitCacheRebuildTime);
 			}
 			else {
-				$this->Application->deleteDBCache('configs_parsed');
+				$this->Application->rebuildDBCache('configs_parsed', kCache::REBUILD_LATER, CacheSettings::$unitCacheRebuildTime);
 			}
 		}
 
